Выполнение произвольного Perl кода в WebGUI

Дата публикации:
31.10.2008
Всего просмотров:
2081
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebGUI 7.x
Уязвимые версии: WebGUI версии до 7.5.30

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки в функции "loadModule()" в lib/WebGUI/Asset.pm при загрузке Perl модулей. Злоумышленник может с помощью специально сформированного URL выполнить произвольный код, содержащийся в загруженном Perl модуле. Для успешной эксплуатации уязвимости злоумышленнику потребуются привилегии на загрузку модулей.

URL производителя: www.plainblack.com/webgui

Решение: Установите последнюю версию 7.5.30 с сайта производителя.

Ссылки: http://www.webgui.org/getwebgui/advisories/webgui-7.5.30-stable-released
http://www.webgui.org/bugs/tracker/8980

или введите имя

CAPTCHA